<?php  
session_start(); 
if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}
$rolemid = $_SESSION['userrolemid'];
$branchid = $_SESSION['branchid'];
	include("connect.php");	header("Access-Control-Allow-Origin: *");
	if($_SESSION['utype'] == 'admin')
	{
	$eve = "select * from res_pettycash_detail";
	}else{
		$eve = "select * from res_pettycash_detail where branchmid=$branchid";
	}
	$re = mysqli_query($conn, $eve);	
	
	$response = array();
	$posts = array();
	
	$result="0";
	
	if(mysqli_num_rows($re) > 0)
	{
		$i=1;
		 while($rt = mysqli_fetch_assoc($re))
		 {
			 
				$pcdid=$rt['pcdid'];
				$branchmid=$rt['branchmid'];
				$expensetypemid=$rt['expensetypemid'];
				$paymode=$rt['paymode'];
				$payamount=$rt['payamount'];
				$paydate= date("d-m-Y",strtotime($rt['paydate']));
				$pdocument=$rt['pdocument'];
				
				
				$eveag1 = "select * from res_branch_master where branchmid=$branchmid";
				$reag1 = mysqli_query($conn, $eveag1);
				if(mysqli_num_rows($reag1) > 0)
				{
					while($rtag1 = mysqli_fetch_assoc($reag1))
					{
						$branchname=$rtag1['branchname'];
					}
				}
				else
				{
					$branchname="";
				}
				
				$eveag1 = "select * from res_expensetype_master where expensetypemid=$expensetypemid";
				$reag1 = mysqli_query($conn, $eveag1);
				if(mysqli_num_rows($reag1) > 0)
				{
					while($rtag1 = mysqli_fetch_assoc($reag1))
					{
						$expensetypename=$rtag1['expensetypename'];
					}
				}
				else
				{
					$expensetypename="";
				}
				
				
				
				$pidedit='';
				$currentfile1 = basename($_SERVER['PHP_SELF']);
				 $currentfile = ltrim($currentfile1, 'json');
							
				
				$piddelete='';
				$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and madelete=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				
				$piddelete="<a href='pettycashdelete.php?id=".$rt['pcdid']."'onclick='return confirm(&#39;Are you sure you want to delete ?&#39;);' data-toggle='tooltip' data-placement='top' title='Delete' class='far fa-trash-alt fa-lg'>  </a>";
					}				
                $op=$pidedit."&nbsp;&nbsp;&nbsp; ".$piddelete;
								
								
				$pdocument1 = "<a href='./docs/$pdocument' target='_blank'>View</a>";
								
				$posts[] = array('srno'=> $i++,'op'=> $op,'piddelete'=> $piddelete, 'expensetypename'=> $expensetypename, 'paymode'=> $paymode, 'branchname'=> $branchname, 'pidelete'=> $piddelete, 'payamount'=> $payamount, 'paydate'=> $paydate, 'pdocument'=> $pdocument1);
		 }
		 
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('data' => $posts)));
		mysqli_close($conn);
		return;
	}
	
   else
   {
		$result="0";
		$msg="Invalid Error";
		
		$posts[] = array('p1'=> $result,'p2'=> $msg);
	
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('item' => $posts)));
   }   
	mysqli_close($conn);	
	
?>